# Uses of Class
com.fasterxml.jackson.core.util.TextBuffer

Packages that use TextBuffer
Package
Description
com.fasterxml.jackson.core.base
Base classes used by concrete Parser and Generator implementations; contain functionality that is not specific to JSON or input abstraction (byte vs char).
com.fasterxml.jackson.core.io
com.fasterxml.jackson.core.util
Utility classes used by Jackson Core functionality.

## Uses of TextBuffer in com.fasterxml.jackson.core.base

Fields in com.fasterxml.jackson.core.base declared as TextBuffer
Modifier and Type
Field
Description
`protected final TextBuffer`
ParserBase.`_textBuffer`
Buffer that contains contents of String values, including field names if necessary (name split across boundary, contains escape sequence, or access needed to char array)

## Uses of TextBuffer in com.fasterxml.jackson.core.io

Methods in com.fasterxml.jackson.core.io that return TextBuffer
Modifier and Type
Method
Description
`TextBuffer`
IOContext.`constructReadConstrainedTextBuffer()`
`TextBuffer`
IOContext.`constructTextBuffer()`

## Uses of TextBuffer in com.fasterxml.jackson.core.util

Subclasses of TextBuffer in com.fasterxml.jackson.core.util
Modifier and Type
Class
Description
`final class`
`ReadConstrainedTextBuffer`
Methods in com.fasterxml.jackson.core.util that return TextBuffer
Modifier and Type
Method
Description
`static TextBuffer`
TextBuffer.`fromInitial(char[] initialSegment)`
Factory method for constructing an instance with no allocator, and with initial full segment.